Bug 18201 - The rules for setting a src attribute on frame are incorrect; they should match those for iframe (except the bits about srcdoc ofc). In particular, the empty string causes about:blank to load, not the current document.
The rules for setting a src attribute on frame are incorrect; they should mat...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:39 UTC by contributor
Modified: 2012-10-06 00:54 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:39:35 UTC
This was was cloned from bug 17075 as part of operation convergence.
Originally filed: 2012-05-16 08:43:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-16 08:43:00 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#frames
Complete: http://www.whatwg.org/c#frames

Comment:
The rules for setting a src attribute on frame are incorrect; they should
match those for iframe (except the bits about srcdoc ofc). In particular, the
empty string causes about:blank to load, not the current document.

Posted from: 2001:4c28:a030:30:219:99ff:fe0e:5501
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.10.289 Version/12.00
================================================================================
 #1   Ian 'Hixie' Hickson                             2012-05-30 23:34:16 +0000 
--------------------------------------------------------------------------------
Please assume that the rules will be changed accordingly. I'll get around to it eventually.
================================================================================
Comment 1 Silvia Pfeiffer 2012-10-06 00:54:04 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/9d68166cea3391d2fbdb728c4b35123d72ea25d9
Rationale: accepted WHATWG change